API ReferenceVerifier applications
Retrieve all verifier applications
GET
/v2/presentations/applicationsRetrieves all configured mDocs online verifier applications.
Roles
adminverifier
Analytics Events
CREDENTIAL_PRESENTATION_VERIFIER_APPLICATION_RETRIEVE_LIST_STARTCREDENTIAL_PRESENTATION_VERIFIER_APPLICATION_RETRIEVE_LIST_SUCCESSCREDENTIAL_PRESENTATION_VERIFIER_APPLICATION_RETRIEVE_LIST_FAIL
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Query Parameters
limit?number
Range size of returned list.
Range
1 <= value <= 1000Default
100cursor?string
Starting point for the list of entries.
Response Body
application/json
curl -X GET "https://example.com/v2/presentations/applications"{ "nextCursor": "Y3JlYXRlZEF0PTIwMjAtMDgtMjVUMDY6NDY6MDkuNTEwWiZpZD1hNjZmZmVhNS04NDhlLTQzOWQtODBhNC1kZGE1NWY1M2UzNmM", "data": [ { "id": "1ef1f867-20b4-48ea-aec1-bea7aff4964c", "name": "Example Verifier Web Application", "type": "web", "domain": "example-verifier-web-application.com", "additionalDomains": [ "example-verifier-web-application.com" ], "openid4vpConfiguration": { "supportedModes": "all", "redirectUris": [ "https://example-verifier-web-application.com/presentation/callback" ], "display": { "displayMode": "full", "logoImage": { "url": "https://example-logo-image-url.com", "altText": "Logo image" }, "headerText": "Share your information.", "bodyText": "Please scan the QR code to the right to provide information required for this interaction.", "privacyPolicyUrl": "https://example-privacy-policy.com", "primaryColorHex": "#FFFFFF", "privacyPolicyLinkText": "Read our privacy policy", "qrCodeInstructions": "Scan this QR code with your mobile wallet app", "awaitingPresentationText": "QR scanned, waiting for your information" } }, "dcApiConfiguration": { "supportedBrowserPlatforms": { "desktop": true, "mobile": true } }, "resultAvailableInFrontChannel": true } ]}How would you rate this page?
Create verifier application POST
Creates an mDocs online verifier application. Once created, application instances can be registered and interact with the MATTR VII platform (for example, to verify credential presentations).
Retrieve a verifier application GET
Retrieves an existing mDocs online verifier application.